import 'package:node_engine/src/nodes/node.dart';

typedef T PropertyGetter<T>();

class NodeGetter<T> extends NodeItem{

  PropertyGetter<T> getter;

  NodeGetter([this.getter]):super('Getter', NodeType.getter){
    addOutputField<T>('Result', null);
    evaluationFunction = (NodeItem node) {
      node.outputFields[0].value = getter();
    };
  }
}