import 'package:node_engine/src/nodes/node.dart';

typedef T PropertySetter<T>(T value);

class NodeSetter<T> extends NodeItem{

  PropertySetter<T> setter;

  NodeSetter([this.setter]):super('Setter', NodeType.setter){
    addInputField<T>('Input', null);
    isLauncher = true;
    evaluationFunction = (NodeItem node) {
      setter(node.inputFields[0].value);
    };
  }

}