import 'package:node_engine/src/nodes/node.dart';

class NodeDivide extends NodeItem{
  NodeDivide():super('Divide', NodeType.divide){
    addOutputField<int>('Value', 0);
    addInputField<int>('inputValue 1', 0);
    addInputField<int>('inputValue 2', 0);
    evaluationFunction = (NodeItem node) {
      assert(node.inputFields[1].value != 0);
      node.outputFields[0].value =
          node.inputFields[0].value ~/ node.inputFields[1].value;
    };
  }
}